org.eclipse.jetty.server

## Interface RequestLog

- All Superinterfaces:
    LifeCycle
  All Known Implementing Classes:
    NCSARequestLog

      public interface RequestLog
      extends LifeCycle

  A `RequestLog` can be attached to a `RequestLogHandler` to enable logging of requests/responses.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `log(Request request, Response response)`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Method Detail

    - #### log

          void log(Request request,
                 Response response)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.